import javax.servlet.*;
import javax.servlet.http.*;
import com.sun.image.codec.jpeg.*; //kuulub SUNi JDK-sse
import java.awt.image.*;
import java.awt.*;
import java.io.*;

public class piltserv extends HttpServlet{
	public void doGet(HttpServletRequest kysimus, HttpServletResponse vastus) throws IOException, ServletException{
		int x,y,raadius,suurus;

		String Ssuurus=kysimus.getParameter("suurus");
		String Sraadius=kysimus.getParameter("radius");
		String Sx=kysimus.getParameter("x");
		String Sy=kysimus.getParameter("y");
		String tekst=kysimus.getParameter("tekst");
		if(Ssuurus==null || Ssuurus.length()==0 ){suurus=100;}else{suurus=Integer.parseInt(Ssuurus);}
		if(Sx==null || Sx.length()==0 ){x=50;}else{x=Integer.parseInt(Sx);}
		if(Sy==null || Sy.length()==0 ){y=50;}else{y=Integer.parseInt(Sy);}
		if(Sraadius==null || Sraadius.length()==0 ){raadius=50;}else{raadius=Integer.parseInt(Sraadius);}

		if(Ssuurus==null){
			vastus.setContentType("text/html");
			PrintWriter valja = vastus.getWriter();
   		valja.println("<html>"+
   	 		"<head><title>Sisestus</title></head>\n"+
       		"<body><form>Külje pikkus<input type='text' name='suurus' /><br>"+
							 	"Raadius<input type='text' name='radius' /><br>"+
								"X-koordinaat<input type='text' name='x' /><br>"+
								"Y-koordinaat<input type='text' name='y' /><br>"+
								"Tekst<input type='text' name='tekst' /><br>"+
								"<input type='submit' value='saada' /><br>"+
       		"</form>");
		}else{
			BufferedImage pilt=new BufferedImage(suurus, suurus, BufferedImage.TYPE_INT_RGB);
			Graphics2D piltg=pilt.createGraphics();
			piltg.setColor(Color.red);
			piltg.fillOval(x-raadius,y-raadius,raadius*2,raadius*2);
			piltg.setColor(Color.blue);
			piltg.drawString(tekst,x,y);
			vastus.setContentType("image/jpeg");
			JPEGCodec.createJPEGEncoder(vastus.getOutputStream()).encode(pilt);
		}
	}
}